mime.HTMLScriptFilter Class Reference
Inheritance diagram for mime.HTMLScriptFilter:

## Public Member Functions

| __init__ (self, out)
| start_script (self, unused)
| end_script (self)
| handle_data (self, data)
| handle_comment (self, comment)
Public Member Functions inherited from mime.SGMLFilter
| unknown_starttag (self, tag, attr)
| handle_entityref (self, ref)
| handle_charref (self, ref)
| unknown_endtag (self, tag)
| handle_special (self, data)
| write (self, buf)
| parse_declaration (self, i)

## Public Attributes

| ignoring
| modified
| msg
Public Attributes inherited from mime.SGMLFilter
| out

## Constructor & Destructor Documentation

## __init__()

mime.HTMLScriptFilter.__init__ | ( |  | self,
|  |  | out
| ) |  |

Reimplemented from mime.SGMLFilter.

## Member Function Documentation

## handle_comment()

mime.HTMLScriptFilter.handle_comment | ( |  | self,
|  |  | comment
| ) |  |

Reimplemented from mime.SGMLFilter.

## handle_data()

mime.HTMLScriptFilter.handle_data | ( |  | self,
|  |  | data
| ) |  |

Reimplemented from mime.SGMLFilter.

Referenced by Milter.sgmllib.SGMLParser.close(), Milter.sgmllib.SGMLParser.handle_charref(), and Milter.sgmllib.SGMLParser.handle_entityref().

The documentation for this class was generated from the following file:

- mime.py